- entityDefinitions:
  - IDM_Person_Name__get__Given_Name: '{3d41778a-b616-4eb9-96ee-747fe685e694}'
  - IDMB_Person_Name__get__Given_Name: '{9748bd16-2fb0-41b6-9642-b373238af515}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - getAttributeMethod: '&IDM_Person_Name__get__Given_Name;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_PersonName;'
    returnsAttributeId: '&IDA_GivenName;'
    verb: 'get'
    name: 'Given Name'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    
  - returnInstanceSetMethodBinding: '&IDMB_Person_Name__get__Given_Name;'
    executesMethod: '&IDM_Person_Name__get__Given_Name;'